Skip to main content
POST
/
api
/
external
/
v1
/
electricity
/
validate
Validate electricity meter
curl --request POST \
  --url https://api.dancity.app/api/external/v1/electricity/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'channel: <api-key>' \
  --data '
{
  "meterNumber": "<string>",
  "billerName": "IKEDC",
  "amount": 1000,
  "meterType": "prepaid"
}
'

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

channel
string
header
required

Required on VAS (merchant /api/external/v1) requests. Use API for server integrations.

Body

application/json
meterNumber
string
required
billerName
string
required
Example:

"IKEDC"

amount
number
required
Example:

1000

meterType
enum<string>
required
Available options:
prepaid,
postpaid

Response

Validation result from provider